Tiktok
Fetch TikTok creator info for a connected account
Proxies TikTok's /v2/post/publish/creator_info/query/ endpoint. Use the returned privacyLevelOptions, commentDisabled, duetDisabled, stitchDisabled, and maxVideoPostDurationSec to build a compliant "Post to TikTok" UX.
GET
/v1/tiktok/creator-infoAuthorization
accessKey x-access-key<token>
In: header
Query Parameters
accountId?string
Integration ID of the TikTok account. If omitted, uses the first connected TikTok account.
Response Body
application/json
application/json
application/json
curl -X GET "https://api.postpeer.dev/v1/tiktok/creator-info"{
"success": true,
"data": {
"creatorAvatarUrl": "string",
"creatorUsername": "string",
"creatorNickname": "string",
"privacyLevelOptions": [
"PUBLIC_TO_EVERYONE"
],
"commentDisabled": true,
"duetDisabled": true,
"stitchDisabled": true,
"maxVideoPostDurationSec": 0
},
"error": "string"
}{
"error": "string"
}{
"error": "string"
}